Subject: bug#9788: chown gets permission denied

From: Richard Woolley <[email-masked]>
Date: Tue, 18 Oct 2011 16:59:04 -0700

Hi Alan,

Thank you!  I'd never seen the ?'s before so was stumped.

Richard 

-----Original Message-----
From: Alan Curry [mailto:[email-masked]] 
Sent: Tuesday, October 18, 2011 4:37 PM
To: Richard Woolley
Cc: [email-masked]
Subject: Re: bug#9788: chown gets permission denied

Richard Woolley writes:
> 
> When trying to change ownership of the files in a directory, I 
> mistakenly h= ad the settings wrong in the command, so I got the 
> following ls -l total 16
> drw-rw-r--  4  user proj1 4096 Sep 28 14:23 doc/
> drw-rw-r-- 24 user proj1 4096 Sep 28 14:27 modules/
> drw-rw-r--  3 user proj1 4096 Sep 28 14:23 project/

Your first problem is that you've got some directories here with read permission but no x permission. In that situation, this happens:

> ls -l project
> total 0
> ?--------- ? ? ? ?            ? compile.conf
> ?--------- ? ? ? ?            ? myproject.conf
> ?--------- ? ? ? ?            ? novas_fli.so

ls can read the directory, getting the filenames, but the lack of x permission prevents it from getting any other information.

First chmod u+x doc modules project, then see what you get from ls -l on them.

--
Alan Curry